Multibyte String Functions
mb_convert_case
Multibyte String Functions
PHP Manual

# mb_check_encoding

(PHP 4 >= 4.4.3, PHP 5 >= 5.1.3)

mb_check_encoding — Check if the string is valid for the specified encoding

### Description

bool mb_check_encoding ([ string `$var` [, string `$encoding` ]] )

Checks if the specified byte stream is valid for the specified encoding. It is useful to prevent so-called "Invalid Encoding Attack".

### Parameters

`var`

  The byte stream to check. If it is omitted, this function checks all the input from the beginning of the request.

`encoding`

  The expected encoding.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

Multibyte String Functions
mb_convert_case
Multibyte String Functions
PHP Manual